<template>
<v-container>
  <v-breadcrumbs :items="items" divider="/" class="pl-0"></v-breadcrumbs>

  <course-title
    title="Python"
    subtitle="для студентов и школьников"
    :img="require('@/assets/img/logo-python.svg')"
    ></course-title>

  <v-alert type="info" border="left" colored-border>
    Python - хороший, современный язык программирования. Простой. Стоит
    обратить внимание также на язык Go.
  </v-alert>

  <qa title="С чем можно обращаться">
    <ul>
      <li>Изучение языка программирования с нуля</li>
      <li>Подготовка к школьным экзаменам</li>
      <li>Студенческие работы</li>
      <li>Другие работы (смотря что у Вас)</li>
    </ul>
  </qa>

  <where></where>

  <qa title="Сколько стоит">
    <prices-regular/>

    <stud-lab-note></stud-lab-note>
  </qa>
</v-container>
</template>

<script>
import { mapState } from 'vuex';

export default {
  metaInfo: {
    title: 'Python для студентов и школьников',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Школьная и ВУЗовская программа, используя Python.',
      },
    ],
  },
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  components: {
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    qa: () => import('@/common/QA.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
    'stud-lab-note': () => import('@/common/StudLabNote.vue'),
    where: () => import('@/common/Where.vue'),
  },
  data: () => ({
    items: [
      {
        text: 'Курсы',
        to: '/courses',
        exact: true,
      },
      {
        text: 'Python для студентов и школьников',
        to: '/courses/python',
      },
    ],
  }),
};
</script>
